Clone Shared Task

Clone a shared task into a specified project. This endpoint allows authenticated users to clone a shared task into their own project. The cloned task will: - Copy all task settings (name, description, configuration) - Copy only the shared revision (not all revisions) - Automatically resolve name conflicts by appending (2), (3), etc. - Set cloned_from_task_revision_id to maintain a link to the original - Be set as active with 100% weight Requires create_task permission on the target project.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

short_idstringRequired
The unique share link identifier
org_idstringRequiredformat: "uuid"
The unique identifier of the organization.
project_idstringRequiredformat: "uuid"
The unique identifier of the project.

Response

Successful Response
namestringformat: "^[a-zA-Z0-9\- ]+$"
A name or reference for the Task.
enabledboolean

When true the Task is active and callable. false denotes the Task is not yet operational.

idstringformat: "uuid"
The unique identifier of the Task.
project_idstringformat: "uuid"
The Project that the Task belongs to.
createdstring
When the Task was created.
access_tokenstring or null
Task specific Bearer token that can be used to authenticated when executing this Task.
active_revisionslist of objects
The revision currently active for this Task.
descriptionstring or null
A longer description of the Task for internal reference.
publicboolean or nullDefaults to false

When true the Task is public and can be accessed by any User.

exposed_to_agentsboolean or nullDefaults to false

When true the Task is accessible to agents through the unauthenticated agent endpoint.

output_modalityenum or null
Specifies the output modality of the task. Can be 'json', 'image', 'audio', 'pdf', 'text', or 'csv'. Defaults to 'json'.
task_run_visibilityenum or nullDefaults to owner_only

Controls who can view all task runs. ‘owner_only’ - only task owners see all runs (default), ‘editors_and_owners’ - task editors and owners see all runs, ‘all_viewers’ - all users with view permission see all runs.

Allowed values:
modifiedstring or null
When the Task was last updated.
deletedstring or null
Timestamp when the task was deleted, if applicable.
revisionslist of objects or null

Each update to a Task results in a new Revision being created. Task Revisions are a powerful concept that can be used to assist with A/B testing, comparing responses from different LLM’s, etc.

cloned_from_task_revision_idstring or nullformat: "uuid"
The unique identifier of the task revision this task was cloned from, if applicable.
tagslist of objects or null

Errors